%define libname %mklibname simvoleon 40
%define _requires_exceptions devel(libatiuki)\\|devel(libpulsecommon-0.9.22)

Summary: Volume rendering library for Coin
Name: simvoleon
Version: 2.0.1
Release: %mkrel 3
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.coin3d.org
Source: http://ftp.coin3d.org/coin/src/all/SIMVoleon-%{version}.tar.xz
Patch0: SIMVoleon-2.0.1-doxyfixes.diff
Patch1: SIMVoleon-2.0.1-simacros.diff
Patch2: SIMVoleon-2.0.1-libtool.diff
Patch3: SIMVoleon-2.0.1-gcc4.1.diff
BuildRequires: Coin3-devel
BuildRequires: doxygen
BuildRequires: mesaglu-devel
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2

%description
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.


%package -n %libname
Summary: Development files for SIMVoleon
Group: System/Libraries
Provides:  simvoleon = %{version}-%{release}

%description -n %libname
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.


%package -n %libname-devel
Summary: Development files for SIMVoleon
Requires: %{libname} = %{version}
Requires: Coin3-devel >= 2.3.0
Provides:  simvoleon-devel = %{version}-%{release}
Group: Development/C++

%description -n %libname-devel
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.


%prep
%setup -q -n SIMVoleon-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

chmod +x cfg/doxy4win.pl

%build
%configure2_5x \
	--includedir=%{_includedir} \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{_datadir}/Coin3/SIMVoleon
%make

%install
rm -rf $RPM_BUILD_ROOT
# make DESTDIR=$RPM_BUILD_ROOT install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libSimVoleon*.so.*

%files -n %libname-devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/libSimVoleon.*a
%{_libdir}/libSimVoleon*.so
%{_datadir}/aclocal/simvoleon.m4
%{_datadir}/Coin/conf
%doc %{_datadir}/Coin3/*



%changelog
* Wed Mar 30 2011 Texstar <texstar at gmail.com> 2.0.1-3pclos2011
- rebuild to fix exception

* Tue Feb 22 2011 Texstar <texstar at gmail.com> 2.0.1-2pclos2011
- change specfile to pclos-smvoleon.spec
- convert source to tar.xz
- fix post and postun script

* Mon Feb 21 2011 maik3531 <maik3531 at yahoo.de> 2.0.1-1pclos2010
- import to pclinuxos from MDV

